Bug 768183 - Review Request: is-interface - library for the information system in wlcg
Review Request: is-interface - library for the information system in wlcg
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Pierre-YvesChibon
Fedora Extras Quality Assurance
https://svnweb.cern.ch/trac/lcgutil/wiki
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-15 18:37 EST by Adrien Devresse
Modified: 2013-10-19 10:42 EDT (History)
3 users (show)

See Also:
Fixed In Version: is-interface-1.12.1-8.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-19 06:29:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
pingou: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adrien Devresse 2011-12-15 18:37:02 EST
Spec URL: https://firwen.org/redmine/attachments/download/8/is-interface.spec
SRPM URL: https://firwen.org/redmine/attachments/download/7/is-interface-1.12.1-1_epel.src.rpm
Description: is-interface is a client side library for the information system of wlcg ( CERN ) compatible GLUE 1.0 and GLUE 2.0 and designed for GFAL and FTS.

rpmlint : 
is-interface.src: W: invalid-url Source0: is-interface-1.12.1.src.tar.gz
4 packages and 0 specfiles checked; 0 errors, 1 warnings.

koji scratch : http://koji.fedoraproject.org/koji/taskinfo?taskID=3588043
Comment 1 Adrien Devresse 2011-12-16 09:03:48 EST
Update of the files considering comments from  768174 :

Spec URL :  https://firwen.org/redmine/data/docs/specs/is-interface.spec
SRPM URL: https://firwen.org/redmine/data/docs/specs/is-interface-1.12.1-2_epel.src.rpm

rpmlint :
is-interface.src: W: invalid-url Source0: is-interface-1.12.1.src.tar.gz
4 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 2 Adrien Devresse 2012-01-05 05:39:41 EST
Update of the files considering comments from  768174 about docdir :

Spec URL :  https://firwen.org/redmine/data/docs/specs/is-interface.spec
SRPM URL:
https://firwen.org/redmine/data/docs/specs/is-interface-1.12.1-3_epel.src.rpm

rpmlint :
is-interface.src: W: invalid-url Source0: is-interface-1.12.1.src.tar.gz
4 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 3 Adrien Devresse 2012-01-11 07:30:51 EST
Update :
- add missing macro
- correction a problem of include with gcc 4.6
- create a separated branch for EPEL

Spec URL : http://firwen.org/home/specs/is-interface.spec
SRPM URL : http://firwen.org/home/specs/srm-ifce-1.12-4.src.rpm

rpmlint :
is-interface.src: W: invalid-url Source0: is-interface-1.12.1.tar.gz
4 packages and 0 specfiles checked; 0 errors, 1 warnings.


koji : http://koji.fedoraproject.org/koji/taskinfo?taskID=3638729
Comment 4 Pierre-YvesChibon 2012-01-15 06:46:10 EST
Wrong url for the srpm.
Comment 5 Adrien Devresse 2012-01-16 09:32:03 EST
Sorry,


Spec URL : http://firwen.org/home/specs/is-interface.spec
SRPM URL : http://firwen.org/home/specs/is-interface-1.12.1-5.src.rpm

rpmlint : 
4 packages and 0 specfiles checked; 0 errors, 0 warnings.


koji : http://koji.fedoraproject.org/koji/taskinfo?taskID=3705871
Comment 6 Pierre-YvesChibon 2012-01-17 14:53:00 EST
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated

==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.
[x]: MUST Development .so files in -devel subpackage, if present.

==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[!]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
    rpmlint is-interface-debuginfo-1.12.1-5.i686.rpm
    1 packages and 0 specfiles checked; 0 errors, 0 warnings.
    rpmlint is-interface-1.12.1-5.i686.rpm
    is-interface.i686: W: spelling-error Summary(en_US) lcg -> lg, cg, leg
    is-interface.i686: W: spelling-error Summary(en_US) bdii -> bedim
    is-interface.i686: W: spelling-error %description -l en_US bdii -> bedim
    is-interface.i686: W: spelling-error %description -l en_US lcg -> lg, cg, leg
    1 packages and 0 specfiles checked; 0 errors, 4 warnings.
    rpmlint is-interface-devel-1.12.1-5.i686.rpm
    is-interface-devel.i686: W: no-manual-page-for-binary glite_sd_query
    1 packages and 0 specfiles checked; 0 errors, 1 warnings.
    rpmlint is-interface-1.12.1-5.src.rpm
    is-interface.src: W: spelling-error Summary(en_US) lcg -> lg, cg, leg
    is-interface.src: W: spelling-error Summary(en_US) bdii -> bedim
    is-interface.src: W: spelling-error %description -l en_US bdii -> bedim
    is-interface.src: W: spelling-error %description -l en_US lcg -> lg, cg, leg
    1 packages and 0 specfiles checked; 0 errors, 4 warnings.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
  MD5SUM this package     : 3dbe1f058615a2c3a38e51ddf2a8ae0a
  MD5SUM upstream package : 3dbe1f058615a2c3a38e51ddf2a8ae0a
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[!]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD The placement of pkgconfig(.pc) files are correct.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
     See: http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#EL5
[!]: SHOULD Dist tag is present.


We are almost there :)
Comment 7 Adrien Devresse 2012-01-17 15:41:51 EST
 MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
     See: http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#EL5

 -> requires Pkgconfig added to the spec file for the devel section

Spec URL : http://firwen.org/home/specs/is-interface.spec
SRPM URL : http://firwen.org/home/specs/is-interface-1.12.1-6.src.rpm

rpmlint : 
4 packages and 0 specfiles checked; 0 errors, 0 warnings.


Koji : http://koji.fedoraproject.org/koji/taskinfo?taskID=3709900
Comment 8 Adrien Devresse 2012-01-17 15:59:00 EST
Update for the dist tag :

[!]: SHOULD Dist tag is present.
 --> tag added 


Spec URL : http://firwen.org/home/specs/is-interface.spec

SRPM URL : http://firwen.org/home/specs/is-interface-1.12.1-6.el5.centos.src.rpm

rpmlint : 
4 packages and 0 specfiles checked; 0 errors, 0 warnings.

Koji : http://koji.fedoraproject.org/koji/taskinfo?taskID=3709941
Comment 9 Pierre-YvesChibon 2012-01-17 16:04:26 EST
This package is therefore APPROVED.

In few minutes you will be in the packager group. As thus we trust that you will be able to maintain your packages according to the Fedora Packaging Guidelines.
As such you will also be able to review and approve packages for fellow packagers. Please do so!
The list of packages waiting for reviews keep growing and we need help to keep it from exploding.

The list of packages awaiting review can be found at:
http://fedoraproject.org/PackageReviewStatus/NEW.html


For this review and the others the next steps are described at:
https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Add_Package_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner

As you are hanging on IRC, feel free to ask any question as they come or when you face problems.
Comment 10 Jon Ciesla 2012-01-17 20:33:59 EST
Please include an SCM request.
Comment 11 Adrien Devresse 2012-01-18 01:33:31 EST
Done, sorry for this.

New Package SCM Request
=======================
Package Name: is-interface
Short Description: Information service library for the lcg bdii system
Owners: adev
Branches: f15 f16 el5 el6
InitialCC:
Comment 12 Jon Ciesla 2012-01-18 08:37:03 EST
Git done (by process-git-requests).
Comment 13 Fedora Update System 2012-01-18 09:36:28 EST
is-interface-1.12.1-6.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/is-interface-1.12.1-6.el5
Comment 14 Fedora Update System 2012-01-18 09:38:57 EST
is-interface-1.12.1-6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/is-interface-1.12.1-6.el6
Comment 15 Fedora Update System 2012-01-18 09:40:13 EST
gridftp-ifce-2.1.3-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/gridftp-ifce-2.1.3-4.el5
Comment 16 Fedora Update System 2012-01-18 14:56:15 EST
is-interface-1.12.1-6.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 17 Fedora Update System 2012-01-19 08:22:49 EST
is-interface-1.12.1-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/is-interface-1.12.1-6.fc16
Comment 18 Fedora Update System 2012-01-27 22:26:23 EST
is-interface-1.12.1-6.fc16 has been pushed to the Fedora 16 stable repository.
Comment 19 Fedora Update System 2012-02-03 20:04:03 EST
is-interface-1.12.1-6.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 20 Fedora Update System 2012-02-03 20:05:10 EST
is-interface-1.12.1-6.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 21 Fedora Update System 2012-02-03 20:06:07 EST
gridftp-ifce-2.1.3-4.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 22 Fedora Update System 2012-02-21 11:44:48 EST
is-interface-1.12.1-8.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/is-interface-1.12.1-8.fc15
Comment 23 Fedora Update System 2012-03-01 04:23:38 EST
is-interface-1.12.1-8.fc15 has been pushed to the Fedora 15 stable repository.

Note You need to log in before you can comment on or make changes to this bug.